Show / Hide Table of Contents

# Class BatchSummary

Summary of a batch within a query

##### Inheritance

System.Object
BatchSummary

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class BatchSummary

### Properties

| Improve this Doc View Source

#### ExecutionElapsed

Localized timestamp for how long it took for the execution to complete

##### Declaration

    public string ExecutionElapsed { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ExecutionEnd

Localized timestamp for when the execution completed.

##### Declaration

    public string ExecutionEnd { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ExecutionStart

Localized timestamp for when the execution started.

##### Declaration

    public string ExecutionStart { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### HasError

Whether or not the batch was successful. True indicates errors, false indicates success

##### Declaration

    public bool HasError { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Id

The ID of the result set within the query results

##### Declaration

    public int Id { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Messages

Any messages that came back from the server during execution of the batch

##### Declaration

    public ResultMessage[] Messages { get; set; }

##### Property Value

Type | Description
--- | ---
ResultMessage[] |

| Improve this Doc View Source

#### ResultSetSummaries

The summaries of the result sets inside the batch

##### Declaration

    public ResultSetSummary[] ResultSetSummaries { get; set; }

##### Property Value

Type | Description
--- | ---
ResultSetSummary[] |

| Improve this Doc View Source

#### Selection

The selection from the file for this batch

##### Declaration

    public SelectionData Selection { get; set; }

##### Property Value

Type | Description
--- | ---
SelectionData |